Subject: [secdir] SecDir review of draft-ietf-enum-3761bis-04

From: "Laganier, Julien" <[email-masked]>
Date: Wed, 21 Oct 2009 08:44:28 -0700

I have reviewed this document as part of the security directorate's ongoing effort to review all IETF documents being processed by the IESG. These comments were written primarily for the benefit of the security area directors.  Document editors and WG chairs should treat these comments just like any other last call comments.

This document describes a Dynamic Delegation Discovery System (DDDS) application relying on the DNS database for storage of E.164 numbers, and resolution of those into URIs to be used to contact the recipients via various services (e.g., SIP, H323). 

I have found the description of the DDDS application well written and easily understandable. The security considerations section seemed fair and reasonable in pointing out the insecure character of DNS used alone, referencing DNSSEC as a mechanism countering the threats specific to DNS, and recommending services to authenticate peers as part of the setup process for the service itself rather than blindly trust the addressing mechanisms in use.

I have one minor suggestion on rewording this sentence:

   Because of these threats, a deployed ENUM service SHOULD include
   mechanisms to ameliorate these threats.

Don't you want to say "counter" rather than "ameliorate" (or maybe "ameliorate the security of the service under these threats") ?

--julien